INTERFACE
SUBROUTINE DOT_PRODUCT_CTLVEC(ydcv1,ydcv2,prod1,prod2,prod3,prod4,prod5,&
 & prod6,ldnorm) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM, ONLY: NFLEVL, NFLEVG, NPROMA
USE CONTROL_VECTORS, ONLY : CONTROL_VECTOR
TYPE(CONTROL_VECTOR),INTENT(IN) :: ydcv1
TYPE(CONTROL_VECTOR),INTENT(IN) :: ydcv2
REAL(KIND=JPRB) ,INTENT(OUT) :: PROD1
REAL(KIND=JPRB) ,INTENT(OUT) :: PROD2
REAL(KIND=JPRB) ,INTENT(OUT) :: PROD3
REAL(KIND=JPRB) ,INTENT(OUT) :: PROD4
REAL(KIND=JPRB) ,INTENT(OUT) :: PROD5
REAL(KIND=JPRB) ,INTENT(OUT) :: PROD6
LOGICAL ,INTENT(IN) :: LDNORM
END SUBROUTINE DOT_PRODUCT_CTLVEC
END INTERFACE
